> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate LayerZero channel configuration

> Validate the LayerZero channel configuration between adapters. This endpoint checks if the channel configuration is correct and returns any validation errors.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tokenization/multichain/bridge/layerzero/validate
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/multichain/bridge/layerzero/validate:
    get:
      tags:
        - Tokenization
      summary: Validate LayerZero channel configuration
      description: >-
        Validate the LayerZero channel configuration between adapters. This
        endpoint checks if the channel configuration is correct and returns any
        validation errors.
      operationId: validateLayerZeroChannelConfig
      parameters:
        - name: adapterTokenLinkId
          required: true
          in: query
          description: The token link ID of the adapter
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
          schema:
            type: string
            format: uuid
        - name: peerAdapterTokenLinkId
          required: true
          in: query
          description: Peer adapter token link ID to validate against
          example: 6add4f2a-b206-4114-8f94-2882618ffbb4
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: LayerZero channel configuration validation completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateLayerZeroChannelResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '404':
          $ref: '#/components/responses/OriginalTokenLinkNotFoundError'
        '422':
          $ref: >-
            #/components/responses/BridgingProtocolBlockchainMetadataNotFoundError
        '500':
          $ref: '#/components/responses/InternalServerError'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ValidateLayerZeroChannelResponse>> =
            fireblocks.tokenization.validateLayerZeroChannelConfig(tokenizationApiValidateLayerZeroChannelConfigRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ValidateLayerZeroChannelResponse>>
            response =
            fireblocks.tokenization().validateLayerZeroChannelConfig(adapterTokenLinkId,
            peerAdapterTokenLinkId);
        - lang: Python
          source: >-
            response =
            fireblocks.tokenization.validate_layer_zero_channel_config(adapter_token_link_id,
            peer_adapter_token_link_id);
components:
  schemas:
    ValidateLayerZeroChannelResponse:
      type: object
      properties:
        correct:
          type: boolean
          description: Indicates whether the LayerZero channel configuration is valid.
          example: true
        errors:
          type: array
          items:
            type: string
          description: >-
            List of errors found during validation. An empty array indicates no
            errors.
          example:
            - Adapter not found
            - Adapter missing role
            - Adapter is not a peer
      required:
        - correct
        - errors
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - INTERNAL
                - AUTHENTICATION
                - AUTHORIZATION
                - VALIDATION
                - NOT_FOUND
                - UNPROCESSABLE_ENTITY
                - FORBIDDEN
            message:
              type: string
          required:
            - type
            - message
      required:
        - error
  responses:
    BadRequestError:
      description: Bad request, invalid input data or parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: VALIDATION
              message: Invalid input data or parameters
    OriginalTokenLinkNotFoundError:
      description: Token link not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: NOT_FOUND
              message: The specified token link was not found
    BridgingProtocolBlockchainMetadataNotFoundError:
      description: Bridging protocol blockchain metadata not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: NOT_FOUND
              message: Bridging to the specified blockchain is not supported
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: INTERNAL
              message: >-
                An unexpected error occurred during execution. Please try again
                later.

````